[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Character' (#rtl)

# IsUpper

Alias for TCharacter.IsUpper

## Declaration

Source position: character.pas line 182

`function IsUpper(`
`AChar: UnicodeChar`
`):Boolean; overload; function IsUpper(`
`const AString: UnicodeString;`
`AIndex: Integer`
`):Boolean; overload;`

## Arguments

`AChar` |  | UTF16 Character

## Function result

True if the indicated Unicode character has category ucUppercaseLetter

## Arguments

`AString` |  | String containing UTF-16 encoded characters
`AIndex` |  | Index of UTF16 encoded character in AString to be checked.

## Description

IsUpper is a shortcut for TCharacter.IsUpper

## See also

TCharacter.IsUpper |  | Check whether a Unicode character is an uppercase letter